<?php
namespace Common\Model;
use Common\Model\BaseModel;
/**
 * 权限规则model
 */
class AuthRuleModel extends BaseModel{


	 // 自动验证
	protected $_validate=array(
    
	//新增时验证
        array('title','require','权限名没有填写！',0,'regex',1),
	array('name','require','权限值没有填写！',0,'regex',1),
	array('name', '', '权限值有重复了！', 0, 'unique',1), 
	
	
	//修改验证
	array('title','require','权限名没有填写！',0,'regex',2),
	array('name','require','权限值没有填写！',0,'regex',2),
	array('name', '', '权限值有重复了！', 0, 'unique',2), 
	
        );

	/**
	 * 删除数据
	 * @param	array	$map	where语句数组形式
	 * @return	boolean			操作是否成功
	 */
	public function deleteData($map){
		$count=$this
			->where(array('pid'=>$map['id']))
			->count();
		if($count!=0){
			return false;
		}
		$result=$this->where($map)->delete();
		return $result;
	}




}
